E-File Magic

Authorization & tokens

Get or refresh a token

Exchange an authorization code, rotate a refresh token, or issue a service token using client credentials.

POST
/oauth/token
Authentication
OAuth protocol client authentication
Required scopes
See authentication requirements
Idempotency key
Not required

Successful outcomes: ok.

Example · HTTP 200
{
  "access_token": "<short_lived_rs256_jwt>",
  "token_type": "Bearer",
  "expires_in": 600,
  "refresh_token": "<rotating_opaque_token_when_granted>",
  "scope": "filers.read recipients.read"
}

token issued